from tiramisu.option import UnicodeOption, OptionDescription
from tiramisu.setting import groups


def get_description():
    """generate description for this test
    """
    option = UnicodeOption('unicode', "Unicode master")
    option1 = UnicodeOption('unicode1', "Unicode slave 1", multi=True)
    option2 = UnicodeOption('unicode2', "Unicode slave 2", multi=True)
    option3 = UnicodeOption('unicode3', "Unicode slave 3", multi=True)
    descr1 = OptionDescription("unicode1", "Common configuration",
                               [option1, option2, option3], requires=[{'option': option,
                                                                      'expected': u'test',
                                                                      'action': 'hidden',
                                                                      'inverse': True}])
    descr1.impl_set_group_type(groups.master)
    descr = OptionDescription("options", "Common configuration", [option, descr1])
    descr = OptionDescription("options", "Common configuration", [descr])
    return descr

