from tiramisu.option import UnicodeOption, OptionDescription
from tiramisu.setting import groups


def get_description():
    """generate description for this test
    """
    option = UnicodeOption('unicode', "Unicode master", multi=True)
    option1 = UnicodeOption('unicode1', "Unicode slave 1", multi=True)
    option2 = UnicodeOption('unicode2', "Unicode slave 2", multi=True)
    option3 = UnicodeOption('unicode3', "Unicode slave 3", requires=[{'option': option2,
                                                                      'expected': u'test',
                                                                      'action': 'hidden',
                                                                      'inverse': True}],
                            multi=True)
    descr1 = OptionDescription("unicode", "Common configuration 1",
                               [option, option1, option2, option3])
    descr1.impl_set_group_type(groups.master)
    descr = OptionDescription("options", "Common configuration 2", [descr1])
    descr = OptionDescription("options", "Common configuration 3", [descr])
    return descr


def get_values(config):
    config.options.unicode.unicode.append(u'val1')
    config.options.unicode.unicode.append(u'val2')
    config.options.unicode.unicode1[0] = u'super1'
    config.options.unicode.unicode1[1] = u'super2'
    config.options.unicode.unicode2[0] = u'pas test'
    config.options.unicode.unicode2[1] = u'test'
    config.options.unicode.unicode3[1] = u'super'
